
#include <stdio.h>

int main() {
    int N, i;
    int priceGD, priceSS, priceCS, priceCP;
    int paidGD, paidSS, paidCS, paidCP;
    int price_full, paid_full;
    int change;

    /* get N */
    scanf("%d", &N);

    for (i = 0; i < N; i++) {
        /* get input for this line */
        scanf("%d,%d,%d,%d %d,%d,%d,%d", &priceGD, &priceSS, &priceCS, &priceCP, &paidGD, &paidSS, &paidCS, &paidCP);

        /* calculate price in pennies */
        price_full = priceGD * 210 * 7 * 8;
        price_full += priceSS * 7 * 8;
        price_full += priceCS * 8;
        price_full += priceCP;

        /* calculate paid in pennies */
        paid_full = paidGD * 210 * 7 * 8;
        paid_full += paidSS * 7 * 8;
        paid_full += paidCS * 8;
        paid_full += paidCP;

        /* if insufficient funds, print and move on */
        if (paid_full < price_full) {
            printf("Go home to your wife\n");
            continue;
        }

        /* start with all change */
        change = paid_full - price_full;

        /* print all GD and subtract */
        printf("%d,", change / (210 * 7 * 8));
        change %= (210 * 7 * 8);

        /* print all SS and subtract */
        printf("%d,", change / (7 * 8));
        change %= (7 * 8);

        /* print all CS and subtract */
        printf("%d,", change / 8);
        change %= 8;

        /* print rest as pennies */
        printf("%d\n", change);
    }

    return 0;
}

