#include <stdio.h>
#include <string.h>

/* one house info */
typedef struct {
    char name[200];
    char motto[200];
} house;

/* all the house info */
typedef struct {
    house h[100];
    int num;
} data;

/* add a record */
void add_data(data* d, char* n, char* m) {
    strcpy(d->h[d->num].name, n);
    strcpy(d->h[d->num].motto, m);
    d->num++;
}

/* query a record */
char* query(data* d, char* name) {
    int i;
    char* last = strstr(name, " ") + 1;

    for (i = 0; i < d->num; i++) {
        if (!strcmp(d->h[i].name, last)) {
            return d->h[i].motto;
        }
    }

    return "THIS SHOULD NOT HAPPEN!";
}

int main() {
    int fams, names, i;
    char s1[200], s2[200];
    data d; d.num = 0;

    /* get sizes */
    scanf("%d %d\n", &fams, &names);

    /* read in info */
    for (i = 0; i < fams; i++) {
        scanf("%[^:]:%[^\n]\n", s1, s2);
        add_data(&d, s1, s2);
    }

    /* do queries */
    for (i = 0; i < names; i++) {
        scanf("%[^\n]\n", s1);
        printf("%s:%s\n", s1, query(&d, s1));
    }

    return 0;
}

