#include <string.h>
#include <stdio.h>

int decrypt(char* key, int keyi, char* line) {
    int isup;
    unsigned char* curr, new;

    keyi = 0;
    for (curr = line; *curr; curr++) {
        /* filter out the non alpha chars */
        if (!isalpha(*curr)) {
            printf("%c", *curr);
            continue;
        }

        /* decrypt */
        isup = isupper(*curr);
        new = tolower(*curr) + (tolower(key[keyi]) - 'a');
        if (new > 'z') new -= 26;
        if (isup) new = toupper(new);
        printf("%c", new);

        /* update keyi */
        keyi++;
        if (keyi >= strlen(key))
            keyi = 0;
    }
    printf("\n");
    return keyi;
}

int main() {
    char key[100], line[100];
    int num, i, keyi;

    int first = 1;
    while (1) {
        scanf("%s\n", key);
        if (!strcmp(key, "END")) return 0;
        if (!first) printf("\n");
        first = 0;

        scanf("%d\n", &num);

        keyi = 0;
        for (i = 0; i < num; i++) {
            scanf("%[^\n]\n", line);
            keyi = decrypt(key, keyi, line);
        }
    }

    return 0;
}

